using PDF_Office.ViewModels.Form;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace PDF_Office.Views.Form
{
    /// <summary>
    /// TextFieldProperty.xaml 的交互逻辑
    /// </summary>
    public partial class TextFieldProperty : UserControl
    {
       public TextFieldPropertyViewModel ViewModel =>DataContext as TextFieldPropertyViewModel;
        public TextFieldProperty()
        {
            InitializeComponent();

           
        }

        private void EditMenuItem_Click(object sender, RoutedEventArgs e)
        {
            var Btnitem = sender as MenuItem;
            if (Btnitem == null) return;
            if(ViewModel != null)
            {
                ViewModel.ResetColorCommand?.Execute(Btnitem);
            }
        }
    }
}
